[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataAction

Action to take when a data manipulation operation has failed.

## Declaration

Source position: db.pas line 1372

`type TDataAction = (`
`daFail,` |  | The operation should fail (an exception will be raised)
`daAbort,` |  | The operation should be aborted (edits are undone, and an EAbort exception is raised)
`daRetry` |  | Retry the operation.
`);`

## Description

TDataAction is used by the TDataSetErrorEvent event handler prototype. The parameter Action of this event handler is of TDataAction type, and should indicate what action must be taken by the dataset.

## See also

TDataSetErrorEvent |  | Error handling callback
TDataset.OnEditError |  | Event triggered when an edit operation fails.
TDataset.OnPosterror |  | Event triggered when a post operation fails.
TDataset.OnDeleteError |  | Event triggered when a delete operation fails.